Not compatible with Thunderbird 3.1.10 Rated 3 out of 5 stars

Good add-on but currently not compatible with Thunderbird 3.1.10